Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Update "Problem" - eingesetzte Version 1.1  (Read 1169 times)

0 Members and 1 Guest are viewing this topic.

desidia

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Update "Problem" - eingesetzte Version 1.1
« on: November 13, 2018, 11:03:04 am »

Hallo zusammen,

ich habe aus 2008 oder 2009 eine Lauffähige Variante der Coppermine Gallery in Version 1.1 Installiert.

Nun stellt der Hoster auf PHP V7.2 um und hat die alten Versionen abgeschaltet. Heißt ich komme an die Admin-Oberfläche nicht mehr dran.

Gibt es ein Updatepaket von 1.1 auf die aktuelle Version?

 Wie gehe ich am besten vor um ein Update zu machen?

Danke und Gruß
Logged

desidia

  • Coppermine newbie
  • Offline Offline
  • Posts: 8
Re: Update "Problem" - eingesetzte Version 1.1
« Reply #1 on: November 13, 2018, 04:12:19 pm »

hm, wo ist der edit Button im forum?

egal - Infos zurück, ich hatte mir eine falsche Datei angeschaut, ich habe nicht Version 1.1 installiert.
Ich habe mir die Readme angeschaut, es ist Version 1.4.25

Kriege ich da "einfach" ein Upgrade auf V 1.6 (PHP7) hin?
Logged

Αndré

  • Administrator
  • Coppermine addict
  • ****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15759
Re: Update "Problem" - eingesetzte Version 1.1
« Reply #2 on: January 11, 2019, 05:34:11 pm »

Erstelle ein Backup deiner Datenbank und deiner Dateien und lade alles auf einen (lokalen) Webserver mit PHP5 herunter. Führe dann zunächst das Upgrade auf die letzte Version von cpg1.5.x durch (siehe Upgrade-Dokumentation). Nun führst du auf dieselbe Art und Weise das Update auf die letzte Version von cpg1.6.x durch. Dann lädst du die aktualisierte Datenbank und Dateien auf deinen eigentlichen Webserver hoch.
Logged

UweB

  • Coppermine newbie
  • Offline Offline
  • Posts: 6
Re: Update "Problem" - eingesetzte Version 1.1
« Reply #3 on: March 04, 2019, 11:24:42 am »

Hallo.
Ich zwei Galerien mit der version 1.5.20
mit php 5.6 arbeiten beide Galerien sauber
nun hat mein Provider auf php 7.2 umgestellt

Galerie 1
alle Daten aus der aktuellen Version (1.5.20) und die Datei cpg_installer_stub.php (version 3.2) benutzt
Datei aufgerufen
http://www.***.com/PORTAL/cpg/cpg_installer_stub.php
--> All package files were successfully placed. Click below to complete the install. (Ich habe Version 1.6 04 ausgewählt)
--> click auf den Button "Complete install"
--> http://***/PORTAL/cpg/update.php
-->Fatal error: Uncaught Error: Call to a member function fetchAssoc() on boolean in /homepages/***/PORTAL/cpg/include/init.inc.php:181 Stack trace: #0 /homepages/***/PORTAL/cpg/update.php(26): include_once() #1 {main} thrown in /homepages/***/PORTAL/cpg/include/init.inc.php on line 181

Galerie 2
Ich habe alle Daten vom Server gelöscht (außer den albums Ordner) und habe die komplette version V 1.6.04 hochgeladen
Danach habe ich die anycontent.php und include/config.php vom Backup (V 1.5.20) hochgeladen
--> http://www.***.com/PORTAL/cpg2/upgrader.php
--> Fatal error: Uncaught Error: Call to a member function fetchAssoc() on boolean in /homepages/***/PORTAL/cpg2/include/init.inc.php:181 Stack trace: #0 /homepages/***/PORTAL/cpg2/upgrader.php(21): require() #1 {main} thrown in /homepages/***/PORTAL/cpg2/include/init.inc.php on line 181

Was mache ich falsch?

Anmerkung: Gehe ich zurück auf php 5.6 und lade das Backup hoch, läuft alles sauber. Aber ich kann php 5.6 nicht mehr nutzen, weil mein Provider das nicht mehr supportet bzw. Geld dafür haben will seit 12/2018
Logged

Αndré

  • Administrator
  • Coppermine addict
  • ****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15759
Re: Update "Problem" - eingesetzte Version 1.1
« Reply #4 on: March 05, 2019, 04:18:12 pm »

In Zeile 181 wird erstmalig auf die Daten in der Datenbank zugegriffen:
Code: [Select]
// Retrieve DB stored configuration
$result = cpg_db_query("SELECT name, value FROM {$CONFIG['TABLE_CONFIG']}");
while ( ($row = $result->fetchAssoc()) ) {
    $CONFIG[$row['name']] = $row['value'];
} // while
$result->free();

Ich kann aus der Fehlermeldung nicht eindeutig erkennen, was los ist. Hast du evtl. deine MySQL-Datenbank geleert?
Logged

UweB

  • Coppermine newbie
  • Offline Offline
  • Posts: 6
Re: Update "Problem" - eingesetzte Version 1.1
« Reply #5 on: March 06, 2019, 12:58:44 pm »

nein, stelle ich auf php 5.6 um und lade die Dateien aus dem Backup, ist alles ok.
Logged

Αndré

  • Administrator
  • Coppermine addict
  • ****
  • Country: de
  • Offline Offline
  • Gender: Male
  • Posts: 15759
Re: Update "Problem" - eingesetzte Version 1.1
« Reply #6 on: March 06, 2019, 03:27:36 pm »

Was passiert, wenn du eine Neuinstallation von cpg1.6.x auf dem Server mit PHP7 machst. Tritt dann dasselbe Problem auf?
Logged
Pages: [1]   Go Up
 

Page created in 0.021 seconds with 22 queries.